summaryrefslogtreecommitdiffstats
path: root/httpd
diff options
context:
space:
mode:
authorNoriko Hosoi <nhosoi@redhat.com>2007-04-27 22:16:54 +0000
committerNoriko Hosoi <nhosoi@redhat.com>2007-04-27 22:16:54 +0000
commit237aa2dcedfe62681e32905058af6c068d2958fb (patch)
tree493da607f2aab32411153cd93d5d9ef074745c29 /httpd
parentcdaf25f0089623a6bf277db47ca35011cf8c6a77 (diff)
Resolves: #237356
Summary: Move DS Admin Code into Admin Server (Comment #3) Description: Cleaning up NT code
Diffstat (limited to 'httpd')
-rwxr-xr-xhttpd/autobuild537
-rw-r--r--httpd/src/.cvsignore1
-rw-r--r--httpd/src/Makefile218
-rw-r--r--httpd/src/ntnsapi.c164
-rw-r--r--httpd/src/unixso.exp38
5 files changed, 0 insertions, 958 deletions
diff --git a/httpd/autobuild b/httpd/autobuild
deleted file mode 100755
index 1818f249..00000000
--- a/httpd/autobuild
+++ /dev/null
@@ -1,537 +0,0 @@
-#!/bin/sh
-#
-# BEGIN COPYRIGHT BLOCK
-# This Program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License as published by the Free Software
-# Foundation; version 2 of the License.
-#
-# This Program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA 02111-1307 USA.
-#
-# In addition, as a special exception, Red Hat, Inc. gives You the additional
-# right to link the code of this Program with code not covered under the GNU
-# General Public License ("Non-GPL Code") and to distribute linked combinations
-# including the two, subject to the limitations in this paragraph. Non-GPL Code
-# permitted under this exception must only link to the code of this Program
-# through those well defined interfaces identified in the file named EXCEPTION
-# found in the source code files (the "Approved Interfaces"). The files of
-# Non-GPL Code may instantiate templates or use macros or inline functions from
-# the Approved Interfaces without causing the resulting work to be covered by
-# the GNU General Public License. Only Red Hat, Inc. may make changes or
-# additions to the list of Approved Interfaces. You must obey the GNU General
-# Public License in all respects for all of the Program code and other code used
-# in conjunction with the Program except the Non-GPL Code covered by this
-# exception. If you modify this file, you may extend this exception to your
-# version of the file, but you are not obligated to do so. If you do not wish to
-# provide this exception without modification, you must delete this exception
-# statement from your version and license this file solely under the GPL without
-# exception.
-#
-#
-# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
-# Copyright (C) 2005 Red Hat, Inc.
-# All rights reserved.
-# END COPYRIGHT BLOCK
-#
-
-UNAME=`../nsarch`
-NSUNAME=`uname -s | sed -e 's%/%_%g'``uname -r`
-DATE="`date +%d-%h`"
-
-# OS tweaks
-
-if [ "$UNAME" = "SUNOS4" ]; then
- PATH=/usr/local/sun4/bin:/usr/bin/X11:$PATH; export PATH
- GTAR=/share/builds/f/gtar/bin/sunos-gtar
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "SOLARIS" ]; then
- PATH=/usr/ccs/bin:/usr/openwin/bin:$PATH; export PATH
- OPENWINHOME=/usr/openwin; export OPENWINHOME
- GTAR=/share/builds/f/gtar/bin/solaris-gtar
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "SOLARISx86" ]; then
- PATH=/usr/ccs/bin:/usr/openwin/bin:$PATH; export PATH
- OPENWINHOME=/usr/openwin; export OPENWINHOME
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "HPUX" ]; then
- PATH=/usr/local/hpux/bin:/usr/bin/X11:$PATH; export PATH
- GTAR=/share/builds/f/gtar/bin/hpux-gtar
- ARCH=`uname -m`
- if [ "$ARCH" = "ia64" ]; then
- HTTPDLIB=libnshttpd.so
- else
- HTTPDLIB=libnshttpd.sl
- fi
-
-elif [ "$UNAME" = "BSDI" ]; then
- PATH=/usr/local/bin:/usr/X11/bin:$PATH; export PATH
- GTAR=/share/builds/f/gtar/bin/bsdi-gtar
-
-elif [ "$UNAME" = "OSF1" ]; then
-# NOJAVA=true
- PATH=/usr/local/dec/bin:/usr/bin/X11:$PATH; export PATH
- GTAR=/share/builds/f/gtar/bin/osf1-gtar
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "AIX" ]; then
- PATH=/usr/local/aix32/bin:/usr/bin/X11:$PATH; export PATH
- GTAR=/share/builds/f/gtar/bin/aix-gtar
- HTTPDLIB=ns-httpd.a
-
-elif [ "$UNAME" = "IRIX" ]; then
- GTAR=/share/builds/f/gtar/bin/irix-gtar
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "SONY" ]; then
- PATH=/usr/bin/X11:$PATH; export PATH
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "NECSVR4" ]; then
- PATH=/u/malmer/nec/usr/local/bin:/usr/bin/X11:$PATH; export PATH
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "ReliantUNIX" ]; then
- PATH=/usr/local/bin:$PATH; export PATH
- GTAR=tar
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "SCO" ]; then
- PATH=/usr/local/bin:/usr/bin/X11:$PATH; export PATH
- GTAR=/usr/local/bin/gtar
- HTTPDLIB=ns-httpd.so
-
-elif [ "$UNAME" = "UNIXWARE" ]; then
- PATH=/usr/local/bin:/usr/bin/X11:$PATH; export PATH
- GTAR=/usr/local/bin/gtar
- HTTPDLIB=ns-httpd.so
-
-fi
-
-set -- `getopt p: $*` || {
- echo "### `basename $0`: ERROR: unknown option" 1>&2
- exit 1
-}
-
-BuildInPhases=0
-
-while [ "$1" != "--" ] ; do
- case "$1" in
- -p) BuildInPhases=1; shift; Phase=$1
- ;;
- esac
- shift
-done
-shift
-
-
-buildit() {
-
-# Initialize some variables
-
-ADMINDIR=../built/$UNAME-$SECTYPE-admserv
-if [ "$PRODUCT" = "personal" ]; then
- BINDIR=httpd
- TARNAME=nshttpd.tar
-elif [ "$PRODUCT" = "catalog" ]; then
- BINDIR=catalog
- TARNAME=ns-catalog.tar
-elif [ "$PRODUCT" = "rds" ]; then
- BINDIR=rds
- TARNAME=ns-rds.tar
-elif [ "$PRODUCT" = "cms" ]; then
- BINDIR=https
- TARNAME=ns-cms.tar
-else
- BINDIR=https
- TARNAME=nshttps.tar
-fi
-SOURCEDIR=../built/$UNAME-$SECTYPE-$BINDIR
-TARGETDIR=$TYPE/$UNAME-$SECTYPE-$BINDIR
-TARGETUNTAR=$TYPE/$UNAME-$SECTYPE-$BINDIR/untarred
-
-TARGETHTBIN=$TYPE/$UNAME-$SECTYPE-$BINDIR/untarred/bin/$BINDIR
-mkdir -p $TARGETUNTAR 2> /dev/null
-
-if [ $BuildInPhases = 1 ]
-then
- if [ "$Phase" = "server" ]
- then
- buildserver
- elif [ "$Phase" = "admin" ]
- then
- buildadmin
- elif [ "$Phase" = "batman" ]
- then
- buildbatman
- elif [ "$Phase" = "tar" ]
- then
- (cd $TARGETUNTAR; tar cvf ../$TARNAME *)
- else
- echo "`basename $0`: ERROR: unknown build phase"
- exit 1
- fi
-else
- buildserver
- buildadmin
- buildbatman
- (cd $TARGETUNTAR; tar cvf ../$TARNAME *)
-fi
-}
-
-buildserver() {
-
-(cd ..; ./config $BOMB $PRODUCT $SECCONFIG $OPTIMIZE)
-gmake
-
-if [ $? -ne 0 ]; then
- exit 2
-fi
-
-(cd ../mc-icons; gmake)
-if [ $? -ne 0 ]; then
- exit 2
-fi
-
-(cd ../include; gmake)
-if [ $? -ne 0 ]; then
- exit 2
-fi
-
-(cd nsapi; gmake)
-if [ $? -ne 0 ]; then
- exit 2
-fi
-
-(cd extras; gmake)
-if [ $? -ne 0 ]; then
- exit 2
-fi
-
-if [ "$NOJAVA" != "true" ]; then
- (cd ../lib/sjava; gmake)
- if [ $? -ne 0 ]; then
- exit 2
- fi
-fi
-
-# generate DBMs in admin/bin directory
-(cd $SOURCEDIR/admin/bin; ./mkdbm)
-
-# Each product has different manuals
-if [ "$BINDIR" = "catalog" -o "$BINDIR" = "rds" ]; then
- # Batman
- ADMINMANUALS="html/manual/ag html/manual/design html/manual/beta2"
-else
- # Enterprise and FastTrack
- ADMINMANUALS="html/manual/ag html/manual/pg html/manual/javascript"
-fi
-for i in icons html html/info html/manual $ADMINMANUALS bin; do
- mkdir -p $TARGETUNTAR/bin/$BINDIR/admin/$i
- cp $SOURCEDIR/admin/$i/* $TARGETHTBIN/admin/$i
-done
-
-/bin/rm -f $TARGETHTBIN/admin/bin/*.o
-$STRIP $TARGETHTBIN/admin/bin/*
-
-for i in misc icons html bin; do
- mkdir -p $TARGETHTBIN/install/$i
- cp $SOURCEDIR/install/$i/* $TARGETHTBIN/install/$i
-done
-$STRIP $TARGETHTBIN/install/bin/*
-mv $TARGETHTBIN/install/bin/ns-setup $TARGETDIR
-mv $TARGETHTBIN/install/bin/ns-config $TARGETHTBIN/ns-config
-
-
-mkdir -p $TARGETUNTAR/ns-icons
-cp $SOURCEDIR/mc-icons/* $TARGETUNTAR/ns-icons
-
-if [ -d $SOURCEDIR/nsapi -a "$UNAME" != "BSDI" ]; then
- mkdir -p $TARGETUNTAR/nsapi
- cp -r $SOURCEDIR/nsapi/* $TARGETUNTAR/nsapi
-fi
-
-mkdir -p $TARGETUNTAR/extras
-cp -r $SOURCEDIR/extras/* $TARGETUNTAR/extras
-$STRIP $TARGETUNTAR/extras/*/*
-
-cp $SOURCEDIR/ns-httpd $TARGETHTBIN/ns-httpd
-if [ "$HTTPDLIB" != "" ]; then
- cp $SOURCEDIR/$HTTPDLIB $TARGETHTBIN/$HTTPDLIB
-fi
-$STRIP $TARGETHTBIN/ns-httpd
-if [ "$UNAME" != "IRIX" -a "$UNAME" != "SUNOS4" ]; then
- $STRIP $TARGETHTBIN/$HTTPDLIB
-fi
-
-if [ "$UNAME" = "AIX" ]; then
- cp /usr/lib/libsvld.a $TARGETHTBIN/libsvld.a
-fi
-
-
-cp README $TARGETDIR
-cp newinst/misc/license.txt $TARGETDIR
-
-mkdir -p $TARGETUNTAR/userdb
-mkdir -p $TARGETUNTAR/httpacl
-mkdir -p $TARGETUNTAR/authdb
-mkdir -p $TARGETUNTAR/authdb/default
-
-if [ "$PRODUCT" = "enterprise" ]; then
-mkdir -p $TARGETUNTAR/plugins/search/admin
-mkdir -p $TARGETUNTAR/plugins/search/tmp
-chmod a+w $TARGETUNTAR/plugins/search/tmp
-mkdir -p $TARGETUNTAR/plugins/search/collections
-chmod a+w $TARGETUNTAR/plugins/search/collections
-cp -r plugins/search $TARGETUNTAR/plugins
-(cd $TARGETUNTAR/plugins/search; rm -r `find . -name CVS -print`)
-cp $SOURCEDIR/lib/vsearch $TARGETUNTAR/plugins/search/vsearch
-cp $SOURCEDIR/admin/bin/ia* $TARGETUNTAR/plugins/search/vsearch
-$STRIP $TARGETUNTAR/plugins/search/vsearch/ia*
-cp ../lib/libsearch/searching/query.err $TARGETUNTAR/plugins/search/vsearch
-mkdir -p $TARGETUNTAR/plugins/search/ui/icons
-mkdir -p $TARGETUNTAR/plugins/search/ui/usa
-cp ../lib/libsearch/searching/ui/icons/* $TARGETUNTAR/plugins/search/ui/icons
-cp ../lib/libsearch/searching/ui/usa/* $TARGETUNTAR/plugins/search/ui/usa
-
-mkdir -p $TARGETUNTAR/plugins/snmp
-mkdir -p $TARGETUNTAR/plugins/snmp/magt
-mkdir -p $TARGETUNTAR/plugins/snmp/sagt
-if [ -d $SOURCEDIR/plugin/snmp -a -f $SOURCEDIR/plugin/snmp/httpagt ]; then
- cp $SOURCEDIR/plugin/snmp/httpagt $TARGETUNTAR/plugins/snmp/httpagt
-fi
-cp plugins/snmp/netscape.pub $TARGETUNTAR/plugins/snmp/netscape.mib
-
-mkdir -p $TARGETUNTAR/plugins/mks/bin
- cp $SOURCEDIR/plugins/mks/bin/*.so $TARGETUNTAR/plugins/mks/bin
-
-if [ "$UNAME" = "SUNOS4" ]; then
- cp ../../../peer/sunos/magt/* $TARGETUNTAR/plugins/snmp/magt
- cp ../../../peer/sunos/sagt/* $TARGETUNTAR/plugins/snmp/sagt
-elif [ "$UNAME" = "SOLARIS" ]; then
- cp ../../../peer/solaris/magt/* $TARGETUNTAR/plugins/snmp/magt
- cp ../../../peer/solaris/sagt/* $TARGETUNTAR/plugins/snmp/sagt
-elif [ "$UNAME" = "HPUX" ]; then
- cp ../../../peer/hp/magt/* $TARGETUNTAR/plugins/snmp/magt
- cp ../../../peer/hp/sagt/* $TARGETUNTAR/plugins/snmp/sagt
-elif [ "$UNAME" = "OSF1" ]; then
- cp ../../../peer/osf/magt/* $TARGETUNTAR/plugins/snmp/magt
- cp ../../../peer/osf/sagt/* $TARGETUNTAR/plugins/snmp/sagt
-elif [ "$UNAME" = "AIX" ]; then
- cp ../../../peer/aix/magt/* $TARGETUNTAR/plugins/snmp/magt
- cp ../../../peer/aix/sagt/* $TARGETUNTAR/plugins/snmp/sgat
-elif [ "$UNAME" = "IRIX" ]; then
- cp ../../../peer/irix/magt/* $TARGETUNTAR/plugins/snmp/magt
- cp ../../../peer/irix/sagt/* $TARGETUNTAR/plugins/snmp/sagt
-fi
-fi # PRODUCT = enterprise
-
-
-if [ "$NOJAVA" != "true" ]; then
- mkdir -p $TARGETUNTAR/plugins/java/bin
- cp $SOURCEDIR/lib/libsjava.so $TARGETUNTAR/plugins/java/bin
-
- mkdir -p $TARGETUNTAR/plugins/java/classes
- cp ../../sun-java/classsrc/serv2_0.zip $TARGETUNTAR/plugins/java/classes
-
- cp plugins/java/javac $TARGETUNTAR/plugins/java
- cp plugins/java/README $TARGETUNTAR/plugins/java
-
- mkdir -p $TARGETUNTAR/plugins/java/applets
- cp plugins/java/applets/* $TARGETUNTAR/plugins/java/applets
-
-# mkdir -p $TARGETUNTAR/plugins/java/local-classes
-# cp plugins/java/local-classes/* $TARGETUNTAR/plugins/java/local-classes
-
-# XXXrobm these docs assume that we have Sun's HTML and images
-# mkdir -p $TARGETUNTAR/plugins/java/docs/images
-# cp plugins/java/docs/*.html $TARGETUNTAR/plugins/java/docs
-# cp ../../sun-java/javadoc/*.gif $TARGETUNTAR/plugins/java/docs/images
-fi
-
-mkdir $TARGETUNTAR/install
-cp ./newinst/src/upgrade $TARGETUNTAR/install
-cp ./newinst/src/ObjConf.pm $TARGETUNTAR/install
-cp ./newinst/src/Magnus.pm $TARGETUNTAR/install
-cp ./newinst/src/start $TARGETUNTAR/install
-cp ./newinst/src/stop $TARGETUNTAR/install
-cp ./newinst/src/restart $TARGETUNTAR/install
-cp ./newinst/src/rotate $TARGETUNTAR/install
-cp ./newinst/perl5/$UNAME-perl5/perl $TARGETUNTAR/install
-cp ./newinst/perl5/artistic $TARGETUNTAR/install
-if [ "$UNAME" = "IRIX" ] || [ "$UNAME" = "SOLARIS" ] || [ "$UNAME" = "OSF1" ] ; then
- cp ./newinst/src/kernelThreads.pl $TARGETUNTAR/install/threads.pl
-fi
-cp $SOURCEDIR/extras/database/mkuser $TARGETUNTAR/install
-cp $SOURCEDIR/extras/database/ndbmdump $TARGETUNTAR/install
-cp $SOURCEDIR/extras/database/rcert11 $TARGETUNTAR/install
-cp $SOURCEDIR/extras/database/rkey11 $TARGETUNTAR/install
-$STRIP $TARGETUNTAR/install/*
-
-if [ "$DO_LIVEWIRE" = "yes" ]; then
- if [ "$UNAME" = "IRIX" ] ; then
- PLATSFX=sgi
- elif [ "$UNAME" = "SOLARIS" ] ; then
- PLATSFX=sol
- elif [ "$UNAME" = "HPUX" ] ; then
- PLATSFX=hpx
- fi
- LIVEWIRETAR=livewire_$PLATSFX.tar
- if [ -d $TARGETUNTAR/LiveWire ]; then
- rm -rf $TARGETUNTAR/LiveWire
- fi
- mkdir $TARGETUNTAR/LiveWire
- cp ./newinst/src/$LIVEWIRETAR.gz $TARGETUNTAR/LiveWire
- gunzip $TARGETUNTAR/LiveWire/$LIVEWIRETAR
- (cd $TARGETUNTAR/LiveWire; tar xf livewire*.tar)
- cp $TARGETUNTAR/LiveWire/server/* $TARGETUNTAR/bin/$BINDIR
- cp $TARGETUNTAR/LiveWire/bin/* $TARGETUNTAR/bin/$BINDIR
- rm -rf $TARGETUNTAR/LiveWire/server $TARGETUNTAR/LiveWire/bin
- rm $TARGETUNTAR/LiveWire/livewire*.tar
-fi
-
-
-(cd $TARGETUNTAR; find . -name \*.o -print | xargs rm -f)
-
-}
-
-buildadmin() {
-
-# BONEHEAD
-(cd ..; ./config $BOMB admin $SECCONFIG $OPTIMIZE)
-(cd ../admserv; gmake)
-if [ $? -ne 0 ]; then
- exit 2
-fi
-
-mkdir -p $TARGETUNTAR/admserv
-cp $ADMINDIR/ns-admin $TARGETUNTAR/admserv
-$STRIP $TARGETUNTAR/admserv/ns-admin
-
-for i in icons html html/info bin cfgstuff; do
- mkdir -p $TARGETUNTAR/bin/admserv/$i
- cp $ADMINDIR/cgi/$i/* $TARGETUNTAR/bin/admserv/$i
-done
-$STRIP $TARGETUNTAR/bin/admserv/bin/*
-
-}
-
-buildbatman() {
-
-# For AutoCatalog from Batman -Darren
-if [ "$DO_AUTOCATALOG" = "yes" ]; then
- # We need to re-run config to get our own library versions, etc.
- (cd ..; ./config $BOMB batman $SECCONFIG $OPTIMIZE)
-
- # This ugly hack is needed because nspr.a must be rebuilt on
- # SOLARIS for batman. There are symbols required by the gcc
- # generated code that SparcWorks doesn't provide - nothing links.
-
- if [ "$UNAME" = "SOLARIS" ]; then
- NSPRDIR=../../nspr/src/${NSUNAME}_${NSTAG}.OBJ
- mv $NSPRDIR/nspr.a $NSPRDIR/GCCnspr.a
- if [ -f $NSPRDIR/SPARCWKnspr.a ] ; then
- mv $NSPRDIR/SPARCWKnspr.a $NSPRDIR/nspr.a
- else
- rm -f $NSPRDIR/*.o
- fi
- fi
- (NS_USE_NATIVE=1; export NS_USE_NATIVE; cd ../batman; gmake MINIRDS_INSTALLDIR="../../httpd/$TARGETUNTAR/plugins" NSAPIDIR="$TARGETUNTAR/nsapi" minirds)
- if [ $? -ne 0 ]; then
- exit 2
- fi
- $STRIP $TARGETUNTAR/plugins/autocatalog/bin/*
- $STRIP $TARGETUNTAR/plugins/autocatalog/*
- if [ "$UNAME" = "SOLARIS" ] ; then
- mv $NSPRDIR/nspr.a $NSPRDIR/SPARCWKnspr.a
- mv $NSPRDIR/GCCnspr.a $NSPRDIR/nspr.a
- fi
-fi
-
-}
-
-if [ "`echo $* | grep final`" != "" ]; then
- TYPE=final
- BOMB=nobomb
-
-elif [ "`echo $* | grep beta`" != "" ]; then
- TYPE=beta
- BOMB=bomb
-
-else
- echo "You must choose to build either a beta or final version."
- exit 2
-fi
-
-
-if [ "$NOJAVA" = "" -a "`echo $* | grep java`" != "" ]; then
- NOJAVA=false
-else
- NOJAVA=true
-fi
-
-if [ "$DO_AUTOCATALOG" = "" -a "`echo $* | grep autocatalog`" != "" ]; then
- DO_AUTOCATALOG=yes
-else
- DO_AUTOCATALOG=no
-fi
-# need to export DO_AUTOCATALOG so that it's passed down through all gmakes
-export DO_AUTOCATALOG
-
-if [ "$DO_LIVEWIRE" = "" ]; then
- if [ "`echo $* | grep livewire`" != "" ]; then
- DO_LIVEWIRE=yes
- else
- DO_LIVEWIRE=no
- fi
-fi
-export DO_LIVEWIRE
-
-OPTIMIZE=optimize
-NSTAG=OPT
-STRIP=strip
-if [ "`echo $* | grep debug`" != "" ]; then
- OPTIMIZE=debug
- NSTAG=DBG
- STRIP=echo
-fi
-
-NSDISTDIR=../../dist/${NSUNAME}_${NSTAG}.OBJ
-
-if [ "`echo $* | grep personal`" != "" ]; then
- PRODUCT=personal
-elif [ "`echo $* | grep ns_catalog`" != "" ]; then
- PRODUCT=catalog
-elif [ "`echo $* | grep ns_rds`" != "" ]; then
- PRODUCT=rds
-elif [ "`echo $* | grep cms`" != "" ]; then
- PRODUCT=cms
-else
- PRODUCT=enterprise
-fi
-
-
-if [ "`echo $* | grep unsecure`" != "" -o "`echo $* | grep all`" != "" ]; then
- SECTYPE=none
- SECCONFIG=unsecure
- buildit
-fi
-
-if [ "`echo $* | grep export`" != "" -o "`echo $* | grep all`" != "" ]; then
- SECTYPE=export
- SECCONFIG=export
- buildit
-fi
-
-if [ "`echo $* | grep domestic`" != "" -o "`echo $* | grep all`" != "" ]; then
- SECTYPE=domestic
- SECCONFIG=domestic
- buildit
-fi
diff --git a/httpd/src/.cvsignore b/httpd/src/.cvsignore
deleted file mode 100644
index e7b97c5b..00000000
--- a/httpd/src/.cvsignore
+++ /dev/null
@@ -1 +0,0 @@
-.depends
diff --git a/httpd/src/Makefile b/httpd/src/Makefile
deleted file mode 100644
index f08ce41b..00000000
--- a/httpd/src/Makefile
+++ /dev/null
@@ -1,218 +0,0 @@
-#
-# BEGIN COPYRIGHT BLOCK
-# This Program is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License as published by the Free Software
-# Foundation; version 2 of the License.
-#
-# This Program is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along with
-# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place, Suite 330, Boston, MA 02111-1307 USA.
-#
-# In addition, as a special exception, Red Hat, Inc. gives You the additional
-# right to link the code of this Program with code not covered under the GNU
-# General Public License ("Non-GPL Code") and to distribute linked combinations
-# including the two, subject to the limitations in this paragraph. Non-GPL Code
-# permitted under this exception must only link to the code of this Program
-# through those well defined interfaces identified in the file named EXCEPTION
-# found in the source code files (the "Approved Interfaces"). The files of
-# Non-GPL Code may instantiate templates or use macros or inline functions from
-# the Approved Interfaces without causing the resulting work to be covered by
-# the GNU General Public License. Only Red Hat, Inc. may make changes or
-# additions to the list of Approved Interfaces. You must obey the GNU General
-# Public License in all respects for all of the Program code and other code used
-# in conjunction with the Program except the Non-GPL Code covered by this
-# exception. If you modify this file, you may extend this exception to your
-# version of the file, but you are not obligated to do so. If you do not wish to
-# provide this exception without modification, you must delete this exception
-# statement from your version and license this file solely under the GPL without
-# exception.
-#
-#
-# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
-# Copyright (C) 2005 Red Hat, Inc.
-# All rights reserved.
-# END COPYRIGHT BLOCK
-#
-# Makefile.cpp for the Netsite Commerce and Communications servers.
-
-BUILD_ROOT = ../..
-
-MODULE=httpdBinary
-
-ifneq ($(ARCH), WINNT)
-OLD_BUILD_ROOT := $(BUILD_ROOT)
-BUILD_ROOT := $(shell cd $(OLD_BUILD_ROOT); pwd)
-BUILDSO=admin
-endif
-
-HTTPD_DIR=$(OBJDIR)
-OBJDEST=$(HTTPD_DIR)/obj
-
-include $(BUILD_ROOT)/nsconfig.mk
-
-ifeq ($(ARCH), WINNT)
-DLLS=$(HTTPD_DIR)/$(HTTPDLL_NAME).dll
-HTTPD_LIB=$(HTTPD_DIR)/$(HTTPDLL_NAME).lib
-EXTRA_LIBS+=$(NSPRLINK)
-
-ifeq ($(BSCINFO), yes)
-BSCS=$(HTTPD_DIR)/httpd.bsc
-endif
-
-else
-BINS=$(HTTPD_DIR)/ns-httpd
-endif
-
-ifeq ($(ARCH), SCO)
-EXTRA_OPTS := -Wl,-Bexport
-endif
-
-ifeq ($(ARCH), UNIXWARE)
-EXTRA_OPTS := -W l,-Bexport
-endif
-
-ifeq ($(ARCH), NCR)
-EXTRA_OPTS := -Wl,-Bexport
-endif
-
-ifeq ($(ARCH), SUNOS4)
-EXTRA_LIBS=-nostdlib /usr/lib/libc.a
-endif
-
-ifeq ($(ARCH), AIX)
-EXTRA_OPTS = -blibpath:../../bin/https:$(DEF_LIBPATH)
-endif
-
-ifeq ($(ARCH), SOLARIS)
-EXTRA_LIBS=$(GCCLIBS)
-endif
-
-ifeq ($(ARCH), WINNT)
-OS_TARGETS= admin $(DLLS)
-endif
-
-all: $(OBJDEST) $(OS_TARGETS) $(BINS) $(BSCS)
-
-include unixso.mk
-
-ifeq ($(ARCH), HPUX)
-comma:=,
-#EXTRA_LIBS +=/opt/CC/lib/cxxshl.o
-EXTRA_LIBS += $(NSCP_DISTDIR)/lib/libprstrms.$(LIB_SUFFIX)
-EXTRA_LIBS := $(subst -E,-E$(comma)+s,$(EXTRA_LIBS))
-EXTRA_OPTS := -Wl,+s,-E
-#The extra library below is required to debug shared libraries.
-ifeq ($(BUILD_DEBUG), full)
-EXTRA_LIBS += /opt/langtools/lib/end.o
-endif
-# THIS IS A TEMPORARY SOLUTION TO THE HPUX COMPILER LIMITATION. WE
-# NEED TO INCLUDE ALL OF THE eh/LIBC object files into our main executable
-# to avoid having undefined symbols with plugins.
-LIBCARCHIVE = /opt/CC/lib/eh/libC.a
-endif
-
-$(OBJDEST):
- mkdir -p $(OBJDEST)
-
-HTTPD_LIBS=
-
-ifeq ($(ARCH), WINNT)
-OSOBJS = ntnsapi.o
-FVERSION_FLAGS+=-s$(BUILD_SECURITY)
-else
-OSOBJS =
-endif
-
-ifneq ($(ARCH), WINNT)
-OBJS=
-else
-OBJS=$(addprefix $(OBJDEST)/, $(OSOBJS) )
-endif
-
-MODULE_CFLAGS=
-
-# Unixware linker braindamage. The libnspr.so won't override select
-# at link time
-ifeq ($(ARCH), UNIXWARE)
-OBJS+=$(HTTPD_DIR)/obj/uxwrap.o
-endif
-
-ifeq ($(ARCH), NCR)
-#OBJS+=$(HTTPD_DIR)/httpd-lib/nspr20/uxwrap.o
-endif
-
-ifeq ($(ARCH), WINNT)
-# Don't define DEPLIBS for NT because standard macros like LINK_EXE
-# and LINK_DLL automatically pick up DEPLIBS which we don't always wan't.
-# $(LIBDIRMON) (temporily removed)
-DEPLIBS = $(addsuffix .$(LIB_SUFFIX), $(addprefix $(OBJDIR)/lib/lib, $(LIBADMIN) $(LIBLDAPU) $(LIBACCESS) $(HTTPD_LIBS)))
-DEPLIBS += $(LIBSECURITY) \
- $(LIBNSPR) \
- $(LIBLDAP)
-
-DEPLINK = /LIBPATH:$(OBJDIR)/lib $(addsuffix .$(LIB_SUFFIX), $(addprefix lib, $(LIBADMIN) $(LIBLDAPU) $(LIBACCESS) $(HTTPD_LIBS))) \
- $(LDAPLINK) $(SECURITYLINK) \
- $(NSPRLINK)
-else
-# unixso.mk may define DEPLIBS
-ifndef DEPLIBS
-DEPLIBS = $(addsuffix .$(LIB_SUFFIX), \
- $(addprefix $(OBJDIR)/lib/lib,$(HTTPD_LIBS)) \
- $(OBJDIR)/lib/libaccess \
- $(OBJDIR)/lib/libbase \
- $(OBJDIR)/lib/libsi18n \
- $(LIBSSLIO)
-DEPLIBS += $(SECURITY_DEP) \
- $(NSPR_DEP)
-
-DEPLINK = $(addsuffix .$(LIB_SUFFIX), \
- $(addprefix $(OBJDIR)/lib/lib,$(HTTPD_LIBS)) \
- $(OBJDIR)/lib/libaccess \
- $(OBJDIR)/lib/libbase \
- $(OBJDIR)/lib/libsi18n \
- $(SECURITYLINK) \
- $(NSPRLINK) \
- $(LIBSSLIO)
-endif
-
-endif
-
-ifndef PRODUCT_IS_DIRECTORY_SERVER
-ifeq ($(ARCH), AIX)
-ifdef OLD_AIX_LINKING
-# why is this redefined here?
-CCC = svxlC_r
-endif
-endif
-endif
-ifneq ($(ARCH), WINNT)
-$(BINS): $(DEPLIBS) $(OBJS)
-ifndef PRODUCT_IS_DIRECTORY_SERVER
- echo "why are we doing this for directory server?"
- cd $(HTTPD_DIR); $(PURIFY) $(CCC) -o ns-httpd $(OBJS) \
- $(EXTRA_OPTS) $(DEPLINK) $(EXTRA_LIBS)
-endif # Directory Server
-else # WINNT
-
-$(DLLS): $(OBJS) $(DEPLIBS)
- -@echo EXTRA_LIBS = $(EXTRA_LIBS)
- $(PURIFY) $(LINK_DLL) $(DEPLINK) $(OBJS) $(EXTRA_LIBS)
- cp $(HTTPD_LIB) $(NSCP_DISTDIR)/lib
- echo $(DLLS) finished
-
-$(BINS): $(OBJS) $(EXEOBJS) $(HTTPD_LIB)
- rm -f $@
- echo $(BINS) finished
-
-ifeq ($(BSCINFO), yes)
-$(BSCS): $(OBJS)
- $(BSCMAKE) $(OBJDEST)/*.sbr
-endif
-endif
-
-
-include $(INCLUDE_DEPENDS)
diff --git a/httpd/src/ntnsapi.c b/httpd/src/ntnsapi.c
deleted file mode 100644
index 9124955e..00000000
--- a/httpd/src/ntnsapi.c
+++ /dev/null
@@ -1,164 +0,0 @@
-/** BEGIN COPYRIGHT BLOCK
- * This Program is free software; you can redistribute it and/or modify it under
- * the terms of the GNU General Public License as published by the Free Software
- * Foundation; version 2 of the License.
- *
- * This Program is distributed in the hope that it will be useful, but WITHOUT
- * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
- * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License along with
- * this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
- * Place, Suite 330, Boston, MA 02111-1307 USA.
- *
- * In addition, as a special exception, Red Hat, Inc. gives You the additional
- * right to link the code of this Program with code not covered under the GNU
- * General Public License ("Non-GPL Code") and to distribute linked combinations
- * including the two, subject to the limitations in this paragraph. Non-GPL Code
- * permitted under this exception must only link to the code of this Program
- * through those well defined interfaces identified in the file named EXCEPTION
- * found in the source code files (the "Approved Interfaces"). The files of
- * Non-GPL Code may instantiate templates or use macros or inline functions from
- * the Approved Interfaces without causing the resulting work to be covered by
- * the GNU General Public License. Only Red Hat, Inc. may make changes or
- * additions to the list of Approved Interfaces. You must obey the GNU General
- * Public License in all respects for all of the Program code and other code used
- * in conjunction with the Program except the Non-GPL Code covered by this
- * exception. If you modify this file, you may extend this exception to your
- * version of the file, but you are not obligated to do so. If you do not wish to
- * provide this exception without modification, you must delete this exception
- * statement from your version and license this file solely under the GPL without
- * exception.
- *
- *
- * Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
- * Copyright (C) 2005 Red Hat, Inc.
- * All rights reserved.
- * END COPYRIGHT BLOCK **/
-
-#ifdef HAVE_CONFIG_H
-# include <config.h>
-#endif
-
-/*
- * Aruna Victor
- * NT NSAPI works differently from UNIX. The DLL doesn't know the addresses
- * of the functions in the server process and needs to be told them.
- */
-
-#include <nt/nsapi.h>
-
-#ifdef BUILD_DLL
-
-#include <libadmin/libadmin.h>
-#include <libaccess/aclproto.h>
-#include <base/fsmutex.h>
-#include <i18n.h>
-#include <base/ereport.h>
-
-VOID NsapiDummy()
-{
- int i = 0;
- SafTable = (SafFunction **)MALLOC(400 * sizeof(VOID*));
-
- /* Force references to libadmin */
- SafTable[i++] = (SafFunction *)get_userdb_dir;
- /* Functions from libadmin:error.c */
- SafTable[i++] = (SafFunction *)report_error;
- /* Functions from libadmin:template.c */
- SafTable[i++] = (SafFunction *)helpJavaScriptForTopic;
-
- /* Force references to base */
- SafTable[i++] = (SafFunction *)fsmutex_init;
-
-}
-#endif /* BUILD_DLL */
-
-VOID InitializeSafFunctions()
-{
-
- SafTable = (SafFunction **)MALLOC(400 * sizeof(VOID *));
-
-/* Functions from file.h */
- SafTable[SYSTEM_STAT] = (SafFunction *)system_stat;
- SafTable[SYSTEM_FOPENRO] = (SafFunction *)system_fopenRO;
- SafTable[SYSTEM_FOPENWA] = (SafFunction *)system_fopenWA;
- SafTable[SYSTEM_FOPENRW] = (SafFunction *)system_fopenRW;
- SafTable[SYSTEM_NOCOREDUMPS] = (SafFunction *)system_nocoredumps;
- SafTable[SYSTEM_FWRITE] = (SafFunction *)system_fwrite;
- SafTable[SYSTEM_FWRITE_ATOMIC] = (SafFunction *)system_fwrite_atomic;
- SafTable[SYSTEM_WINERR] = (SafFunction *)system_winerr;
- SafTable[SYSTEM_WINSOCKERR] = (SafFunction *)system_winsockerr;
-
- SafTable[FILE_NOTFOUND] = (SafFunction *)file_notfound;
- SafTable[FILE_UNIX2LOCAL] = (SafFunction *)file_unix2local;
- SafTable[DIR_OPEN] = (SafFunction *)dir_open;
- SafTable[DIR_READ] = (SafFunction *)dir_read;
- SafTable[DIR_CLOSE] = (SafFunction *)dir_close;
-
-/* Functions from ereport.h */
- SafTable[EREPORT] = (SafFunction *)ereport ;
-
-/* Functions from minissl.h */
- SafTable[SSL_CLOSE] = (SafFunction *)PR_Close;
- SafTable[SSL_SOCKET] = (SafFunction *)PR_NewTCPSocket;
- SafTable[SSL_GET_SOCKOPT] = (SafFunction *)PR_GetSocketOption;
- SafTable[SSL_SET_SOCKOPT] = (SafFunction *)PR_SetSocketOption;
- SafTable[SSL_BIND] = (SafFunction *)PR_Bind;
- SafTable[SSL_LISTEN] = (SafFunction *)PR_Listen;
- SafTable[SSL_ACCEPT] = (SafFunction *)PR_Accept;
- SafTable[SSL_READ] = (SafFunction *)PR_Read;
- SafTable[SSL_WRITE] = (SafFunction *)PR_Write;
- SafTable[SSL_GETPEERNAME] = (SafFunction *)PR_GetPeerName;
-
-
-/* Functions from shexp.h */
- SafTable[SHEXP_VALID] = (SafFunction *)shexp_valid;
- SafTable[SHEXP_MATCH] = (SafFunction *)shexp_match;
- SafTable[SHEXP_CMP] = (SafFunction *)shexp_cmp;
- SafTable[SHEXP_CASECMP] = (SafFunction *)shexp_casecmp;
-
-/* Functions from systhr.h */
- SafTable[SYSTHREAD_START] = (SafFunction *)systhread_start;
- SafTable[SYSTHREAD_ATTACH] = (SafFunction *)systhread_attach;
- SafTable[SYSTHREAD_TERMINATE] = (SafFunction *)systhread_terminate;
- SafTable[SYSTHREAD_SLEEP] = (SafFunction *)systhread_sleep;
- SafTable[SYSTHREAD_INIT] = (SafFunction *)systhread_init;
- SafTable[SYSTHREAD_NEWKEY] = (SafFunction *)systhread_newkey;
- SafTable[SYSTHREAD_GETDATA] = (SafFunction *)systhread_getdata;
- SafTable[SYSTHREAD_SETDATA] = (SafFunction *)systhread_setdata;
-
-/* Functions from systems.h */
- SafTable[UTIL_STRCASECMP] = (SafFunction *)util_strcasecmp;
- SafTable[UTIL_STRNCASECMP] = (SafFunction *)util_strncasecmp;
-
-/* Functions from util.h */
- SafTable[UTIL_HOSTNAME] = (SafFunction *)util_hostname;
- SafTable[UTIL_ITOA] = (SafFunction *)util_itoa;
- SafTable[UTIL_VSPRINTF] = (SafFunction *)util_vsprintf;
- SafTable[UTIL_SPRINTF] = (SafFunction *)util_sprintf;
- SafTable[UTIL_VSNPRINTF] = (SafFunction *)util_vsnprintf;
- SafTable[UTIL_SNPRINTF] = (SafFunction *)util_snprintf;
-
- SafTable[LOG_ERROR_EVENT] = (SafFunction *)LogErrorEvent;
-
-/* Functions from aclproto.h */
- SafTable[ACL_LISTCONCAT] = (SafFunction *)ACL_ListConcat;
-
-/* Functions from i18n.h */
- SafTable[GETCLIENTLANG] = (SafFunction *)GetClientLanguage;
-
-/* Functions from file.h */
- SafTable[SYSTEM_FOPENWT] = (SafFunction *)system_fopenWT;
- SafTable[SYSTEM_MALLOC] = (SafFunction *)system_malloc;
- SafTable[SYSTEM_FREE] = (SafFunction *)system_free;
- SafTable[SYSTEM_REALLOC] = (SafFunction *)system_realloc;
- SafTable[SYSTEM_STRDUP] = (SafFunction *)system_strdup;
-
-/* Functions from crit.h */
- SafTable[CRIT_INIT] = (SafFunction *)crit_init;
- SafTable[CRIT_ENTER] = (SafFunction *)crit_enter;
- SafTable[CRIT_EXIT] = (SafFunction *)crit_exit;
- SafTable[CRIT_TERMINATE] = (SafFunction *)crit_terminate;
- SafTable[SYSTHREAD_CURRENT] = (SafFunction *)systhread_current;
-}
diff --git a/httpd/src/unixso.exp b/httpd/src/unixso.exp
deleted file mode 100644
index 55aae332..00000000
--- a/httpd/src/unixso.exp
+++ /dev/null
@@ -1,38 +0,0 @@
-acl_write_rights
-acl_read_rights
-SEC_ERROR_INVALID_AVA
-SEC_ERROR_INPUT_LEN
-SEC_ERROR_BAD_KEY
-SEC_ERROR_EXPIRED_CERTIFICATE
-SSL_ERROR_BAD_CERT_DOMAIN
-SEC_ERROR_UNTRUSTED_CERT
-SEC_ERROR_UNKNOWN_ISSUER
-SEC_ERROR_BAD_SIGNATURE
-SEC_ERROR_IO
-SEC_ERROR_INVALID_TIME
-XP_ERRNO_EWOULDBLOCK
-XP_ERRNO_EAGAIN
-pr_fdTable
-XP_ERRNO_EIO
-XP_ERRNO_EISCONN
-XP_ERRNO_EINVAL
-XP_ERRNO_EBADF
-XP_ERRNO_ECONNREFUSED
-SSL_ERROR_US_ONLY_SERVER
-SSL_ERROR_EXPORT_ONLY_SERVER
-SSL_ERROR_BAD_CERTIFICATE
-SSL_ERROR_UNSUPPORTED_CERTIFICATE_TYPE
-SSL_ERROR_NO_CERTIFICATE
-SSL_ERROR_UNSUPPORTED_VERSION
-SSL_ERROR_NO_CYPHER_OVERLAP
-SSL_ERROR_BAD_SERVER
-SSL_ERROR_BAD_CLIENT
-SEC_ERROR_OUTPUT_LEN
-SEC_ERROR_INVALID_ARGS
-SEC_ERROR_BAD_DATA
-SEC_ERROR_NO_MEMORY
-SEC_ERROR_BAD_DATABASE
-SEC_ERROR_BAD_DER
-SEC_ERROR_INVALID_ALGORITHM
-SEC_ERROR_LIBRARY_FAILURE
-SEC_ERROR_BAD_PASSWORD